Package org.example.customerdao.utility

# Class NonDeleteableRecordException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.example.customerdao.utility.NonDeleteableRecordException

All Implemented Interfaces:
  `Serializable`

public final class NonDeleteableRecordException extends RuntimeException implements Serializable
The NonDeleteableRecordException class for the CustomerDAO.

Version:
  1.0
Author:
  Jonathan Earl
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NonDeleteableRecordException()`
  Default Constructor.
  `NonDeleteableRecordException(String message)`
  Constructor.
  `NonDeleteableRecordException(String message, Throwable cause)`
  Throwable Constructor.
  `NonDeleteableRecordException(Throwable cause)`
  Throwable Constructor.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NonDeleteableRecordException

    public NonDeleteableRecordException()
    Default Constructor. Sets the message to "Unknown Service Error"

  - ### NonDeleteableRecordException

    public NonDeleteableRecordException(String message)
    Constructor.
    Parameters:
      `message` - the message to set
    See Also:
      - `NonDeleteableRecordException()`

  - ### NonDeleteableRecordException

    public NonDeleteableRecordException(String message, Throwable cause)
    Throwable Constructor.
    Parameters:
      `message` - the message to set
      `cause` - the inner exception
    See Also:
      - `NonDeleteableRecordException()`
      - `NonDeleteableRecordException(String message)`

  - ### NonDeleteableRecordException

    public NonDeleteableRecordException(Throwable cause)
    Throwable Constructor.
    Parameters:
      `cause` - the inner exception
    See Also:
      - `NonDeleteableRecordException()`
      - `NonDeleteableRecordException(String message)`
      - `NonDeleteableRecordException(String message, Throwable cause)`